"""Peewee migrations -- 036_MAIN.py."""

import peewee as pw
from peewee_migrate import Migrator

try:
    import playhouse.postgres_ext as pw_pext
except ImportError:
    pass

SQL = pw.SQL


def migrate(migrator: Migrator, database, fake=False, **kwargs):
    migrator.rename_field('setup', 'company_id', 'company_idnum')


def rollback(migrator: Migrator, database, fake=False, **kwargs):
    migrator.rename_field('setup', 'company_idnum', 'company_id')
